Retrieve ExportDestination
Retrieve an Export Destination for the given UUID.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
The UUID of the ExportDestination to retrieve.
Response
Returns the Export Destination
- ExportDestinationS3Response
- ExportDestinationGoogleCloudStorageResponse
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The name of the data Export Destination.
The code of the data Export Destination.
S3, GCS The DateTime when the Export Destination was created.
The DateTime when the Export Destination was last modified.
The id of the user who created the Export Destination.
The id of the user who last modified the Export Destination.
Name of the S3 bucket for the Export Destination.
Location in specified S3 bucket for the Export Destination. If no prefix is specified, then the root of the bucket is used.
The specified IAM role ARN with PutObject permission for the specified bucketName, which allows the service to upload Data Exports to your S3 bucket.